# Class UDPEchange

java.lang.Object
UDPEchange

    public class UDPEchange
    extends java.lang.Object

Classe representant les échanges UDP entre utilisateurs.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`UDPEchange()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static void` | `connexion​(java.net.InetAddress broadcastAdress, java.lang.String broadcastMessage, java.lang.Integer port)` | Méthode permettant d'envoyer un message à tout les utilisateurs à l'aide du protocole UDP
`static void` | `ecouteUDP​(ChatApp app)` | Méthode permettant la reception de messages d'utilisateurs à l'aide du protocole UDP
`static void` | `envoiUnicast​(java.net.InetAddress broadcastAdress, java.lang.String broadcastMessage, java.lang.Integer port)` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UDPEchange

public UDPEchange()

## Method Details

### connexion

public static void connexion​(java.net.InetAddress broadcastAdress, java.lang.String broadcastMessage, java.lang.Integer port) throws java.io.IOException

Méthode permettant d'envoyer un message à tout les utilisateurs à l'aide du protocole UDP

Parameters:
  `broadcastAdress` - l'addresse de broadcast du réseau
  `broadcastMessage` - correspond au message à transmettre aux utilisateurs
  `port` - : port destination
Throws:
  `java.io.IOException`

### ecouteUDP

public static void ecouteUDP​(ChatApp app)

Méthode permettant la reception de messages d'utilisateurs à l'aide du protocole UDP

Parameters:
  `app` - L'application de chat de l'utilisateur qui receptionne le message

### envoiUnicast

public static void envoiUnicast​(java.net.InetAddress broadcastAdress, java.lang.String broadcastMessage, java.lang.Integer port) throws java.io.IOException

Throws:
  `java.io.IOException`